# This file is part of the Owl Positioning System (OwlPS) project.
# It is subject to the copyright notice and license terms in the
# COPYRIGHT.t2t file found in the top-level directory of this
# distribution and at
#   http://code.lm7.fr/p/owlps/source/tree/master/COPYRIGHT.t2t
# No part of the OwlPS Project, including this file, may be copied,
# modified, propagated, or distributed except according to the terms
# contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
# distributed along with this file, either separately or by replacing
# this notice by the COPYRIGHT.t2t file's contents.

# This module tries to find the iwlib library (from the Wireless Tools)
# and sets the following variables:
#   IWLIB_INCLUDE_DIR
#   IWLIB_LIBRARY
#   IWLIB_FOUND

# Search for the header file
find_path(IWLIB_INCLUDE_DIR iwlib.h
  PATH_SUFFIXES include)

# Search for the library
find_library(IWLIB_LIBRARY iw
  PATH_SUFFIXES lib)

# Did we find everything we need?
FIND_PACKAGE_HANDLE_STANDARD_ARGS(Iwlib DEFAULT_MSG
  IWLIB_LIBRARY IWLIB_INCLUDE_DIR)
