/*
 * This file is part of the Owl Positioning System (OwlPS) project.
 * It is subject to the copyright notice and license terms in the
 * COPYRIGHT.t2t file found in the top-level directory of this
 * distribution and at
 *   http://code.lm7.fr/p/owlps/source/tree/master/COPYRIGHT.t2t
 * No part of the OwlPS Project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
 * distributed along with this file, either separately or by replacing
 * this notice by the COPYRITGHT.t2t file's contents.
 */


#ifndef _OWLPS_POSITIONING_CARTOGRAPHYALGORITHM_HH_
#define _OWLPS_POSITIONING_CARTOGRAPHYALGORITHM_HH_

#include "positioningalgorithm.hh"
#include "referencepoint.hh"

/// Super-class of SS cartography-based positioning algorithms
class CartographyAlgorithm: public virtual PositioningAlgorithm
{
public:
  CartographyAlgorithm(void) {}
  virtual ~CartographyAlgorithm(void) {}

  /** @name Operations */
  //@{
  Result compute(const Request &request) ;
  virtual const ReferencePoint& select_point(
    const Request &request) = 0 ;
  //@}
} ;

#endif // _OWLPS_POSITIONING_CARTOGRAPHYALGORITHM_HH_
