/*
 * This file is part of the Owl Positioning System (OwlPS) project.
 * It is subject to the copyright notice and license terms in the
 * COPYRIGHT.t2t file found in the top-level directory of this
 * distribution and at
 *   http://code.lm7.fr/p/owlps/source/tree/master/COPYRIGHT.t2t
 * No part of the OwlPS Project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
 * distributed along with this file, either separately or by replacing
 * this notice by the COPYRITGHT.t2t file's contents.
 */


#ifndef _OWLPS_POSITIONING_NSS_HH_
#define _OWLPS_POSITIONING_NSS_HH_

#include "cartographyalgorithm.hh"

/// Computes a position selecting the closest point in SS cartography
/**
 * This algorithm was introduced by Paramvir Bahl and Venkata N.
 * Padmanabhan in their paper "RADAR: An In-Building RF-Based User
 * Location and Tracking System" (2000). For more details, see:
 * http://citeseer.ist.psu.edu/bahl00radar.html
 */
class NSS: public CartographyAlgorithm
{
public:
  NSS(void): PositioningAlgorithm("NSS") {}
  ~NSS(void) {}

  const ReferencePoint& select_point(const Request &request) ;
} ;

#endif // _OWLPS_POSITIONING_NSS_HH_
