/*
 * This file is part of the Owl Positioning System (OwlPS) project.
 * It is subject to the copyright notice and license terms in the
 * COPYRIGHT.t2t file found in the top-level directory of this
 * distribution and at
 *   http://code.lm7.fr/p/owlps/source/tree/master/COPYRIGHT.t2t
 * No part of the OwlPS Project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
 * distributed along with this file, either separately or by replacing
 * this notice by the COPYRITGHT.t2t file's contents.
 */


#ifndef _OWLPS_POSITIONING_OUTPUTMEDIUM_HH_
#define _OWLPS_POSITIONING_OUTPUTMEDIUM_HH_

class Result ;
class ResultList ;

/// Super class of all output media
/**
 * This class provides an interface for output media, i.e. to write
 * Results computed by a PositioningAlgorithm.
 */
class OutputMedium
{
public:
  OutputMedium(void) {}

  virtual ~OutputMedium(void) {}

  /** @name Operations */
  //@{
  virtual void write(const Result &result) = 0 ;
  virtual void write(const ResultList &results) = 0 ;
  //@}
} ;

#endif // _OWLPS_POSITIONING_OUTPUTMEDIUM_HH_
